Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.relay.link/llms.txt

Use this file to discover all available pages before exploring further.

Failed Fill Transactions

If the fill transaction fails you may get some useful data returned from the requests api: You can use these values to simulate the transaction in Tenderly or similar tools to see the exact error message and revert reason.

Step 1: Get the failed data

You can also access this data by going to the Relay transaction page and using the Ctrl + i shortcut to open up the full request data.
curl -X GET "https://api.relay.link/requests/v2?id=0x27714ec23ddd6466f383c77368692f948d7c52d320de03b371d0f310437bcb2a"

Step 2: Simulate the transaction in Tenderly

Open up your Tenderly dashboard, click simulator and then new simulation. Then paste in the required datapoints from the values above. Tenderly Simulation You should then see the simulation rendered in Tenderly with an in depth error message and where the revert happened.